org.apache.ignite.internal.processors.cache.query

## Class GridCacheTwoStepQuery

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.query.GridCacheTwoStepQuery

All Implemented Interfaces:
  Serializable

    public class GridCacheTwoStepQuery
    extends Object
    implements Serializable

Two step map-reduce style query.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridCacheTwoStepQuery(String qry, Object... params)`

### Method Summary

Methods
`void` `addMapQuery(String alias, String qry, Object... params)`
`Collection<GridCacheSqlQuery>` `mapQueries()`
`GridCacheSqlQuery` `reduceQuery()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheTwoStepQuery

    public GridCacheTwoStepQuery(String qry,
                         Object... params)

Parameters:
  `qry` - Reduce query.
  `params` - Reduce query parameters.

### Method Detail

#### addMapQuery

    public void addMapQuery(String alias,
                   String qry,
                   Object... params)

Parameters:
  `alias` - Alias.
  `qry` - SQL Query.
  `params` - Query parameters.

#### reduceQuery

    public GridCacheSqlQuery reduceQuery()

Returns:
  Reduce query.

#### mapQueries

    public Collection<GridCacheSqlQuery> mapQueries()

Returns:
  Map queries.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015